メインコンテンツへスキップ
GET
/
files
/
v3
/
folders
/
{folderPath}
パスでフォルダーを取得
curl --request GET \
  --url https://api.hubapi.com/files/v3/folders/{folderPath} \
  --header 'Authorization: Bearer <token>'
{
  "archived": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "archivedAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "parentFolderId": "<string>",
  "path": "<string>"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -無料ツール
Sales HubSales Hub -無料ツール
Service HubService Hub -無料ツール
Content HubContent Hub -無料ツール
この API には、次のいずれかのスコープが必要です。
files
files.ui_hidden.read

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

folderPath
string
必須

目的のフォルダーのパス。

Pattern: .+

クエリパラメータ

properties
string[]

返されるフォルダーで設定するプロパティー。

レスポンス

successful operation

archived
boolean
必須

フォルダーが削除されたかどうかを示します。

createdAt
string<date-time>
必須

フォルダー作成のタイムスタンプ。

id
string
必須

フォルダーのID。

updatedAt
string<date-time>
必須

フォルダーに対する最新の更新のタイムスタンプ。

archivedAt
string<date-time>

フォルダー削除のタイムスタンプ。

name
string

新しい名前。指定すると、フォルダーの名前とfullPathが変更されます。このフォルダーの全ての子は変更に合わせて更新されます。

parentFolderId
string

新しい親folderId。変更すると、フォルダーとその全ての子が指定したフォルダーに移動されます。parentFolderIdとparentFolderPathを同時に指定することはできません。

path
string

ファイルマネージャーにおけるフォルダーのパス。

Last modified on February 12, 2026